[ubuntu-ar] Compaq F755 madwifi y kernel 2.6.24.21

Leonardo Garcia leonardofgarcia at gmail.com
Sat Oct 18 06:51:26 BST 2008


lucas,justo iba a mandarte un mail para avisarte que no podia entrar en modo
recovery, pregunta

en modprobe.d/blacklist

no me sale nada esto es posible?

Gracias por la ayuda.

El 18 de octubre de 2008 2:36, Lucas Livchits <livchitsl en yahoo.com.ar>escribió:

> >Mensaje original ----
> >De: Lucas Livchits <livchitsl en yahoo.com.ar>
> >Para: Ubuntu User Group Argentina <ubuntu-ar en lists.ubuntu.com>
> >Enviado: sábado 18 de octubre de 2008, 2:23:49
> >Asunto: Re: [ubuntu-ar] Compaq F755 madwifi y kernel 2.6.24.21
>
> >
> >>----- Mensaje original ----
> >>De: Leonardo Garcia <leonardofgarcia en gmail.com>
> >>Para: Ubuntu User Group Argentina <ubuntu-ar en lists.ubuntu.com>
> >>Enviado: sábado 18 de octubre de 2008, 1:52:57
> >>Asunto: [ubuntu-ar] Compaq F755 madwifi y kernel 2.6.24.21
> >>
> >>Hola
> >>Recién bajé las actualizaciones de la notebook entre las que estaban el
> kernel en cuestión, como siempre el driver de madwifi dejo de funcionar
> >>despues de la actualización, volví a instalar los drivers como siempre
> siguiendo el tuto que alguna vez se posteo aquí, todo salió bien no noté
> >>ningún error.
> >>
> >>Cuestión que al iniciar con el nuevo kernel ubuntu no arranca, la barra
> de progreso de carga  un 10% mas o menos , empieza a titilar la luz de la
> >>tecla Caps Lock intente entrar en modo recovery y me da un kernel panic,
> así que tengo que entrar con el anterior kernel.
> >>
> >>A alguien que tenga esta notebook o la 756 que tiene la misma placa
> wireless le ha pasado o me puede dar una mano?
> >>
> >>El driver que usé es el de siempre madwifi-nr-r3366+ar5007 , se que hay
> una nueva versión, pero como este ya lo tenía en la pc, usaba siempre
> >>este.
> >>
> >>Otra duda, ahora estoy ingresando a Ubuntu con la version del kernel
> 2.6.24.19 me va a tirar las actualizaciones otra vez? y en ese caso que
> >>hago las instalo o borro primero el kernel nuevo?
> >>
> >>Gracias por la ayuda.
> >>
> >>--
> >>leonardofgarcia en gmail.com <leonardofgarcia en gmail.com>
> >
> >Leonardo,
> >Tal vez recuerdes que tengo una F754 y la misma placa. No me pasó lo que a
> vos de casualidad (más adelante te cuento), pero pude ayudar a >alguien de
> Ubuntu-es con el mismo problema. Aparentemente, hay alguna incompatibilidad
> entre el madwifi que nos sirve y el kernel nuevo >(2.6.24-21). Sin embargo,
> junto a la actualización del kernel se actualizó también el paquete
> linux-backports-modules con la inclusión del driver >ath5k que reconoce la
> atheros AR5007EG sin necesidad de compilar madwifi. Lo que tendrías que
> hacer para recuperar todo es lo siguiente:
> >1) Iniciar en recovery mode con el kernel nuevo
> >2) Desinstalar madwifi, para eso
> >    a) vas al directorio donde lo tenés
> >    cd /madwifi-nr-r3366+ar5007 (por ejemplo)
> >    b)ejecutás
> >    sudo make uninstall
> >3) Instalás el paquete linux-backports-modules para tu versión de kernel,
> desde synaptic o con
> >sudo apt-get install linux-backports-modules-$(uname -r)
> >4) Si aún no funciona el wifi, vas a Sistema > Administración >
> Controladores de Hardware y lo habilitás, o ejecutás
> >sudo modprobe ath5k
> >
> >No probé mucho este nuevo driver, pero con mi red funcionó. Cualquier cosa
> avisá. Por otra parte no creo que haya muchas alternativas.
> >
> >Lo gracioso es que me salvé del kernel panic porque me puse a webear para
> ver Intreíd va a reconocer la placa wifi de una y caí en un bug de
> >launchpad (https://bugs.launchpad.net/bugs/182489) en el que me enteré de
> una actualización de backports que la soporta. El paquete pasó a los
> >repositorios ese mismo día y cuando lo instalé para probar también se
> actualizó el kernel, je :-P
> >Por lo que veo Intrepid debería soportarla sin siquiera los backports,
> gracias al nuevo kernel.
> >
> >Saludos y espero que sirva
>
>
> De nuevo yo. Acabo de darme cuenta de un error: no podés entrar al kernel
> nuevo en recovery. Por eso el método que te pasé para desinstalar madwifi no
> te sirve. Pero inicia con el kernel anterior y ejecutá
>
> sudo rm -rf lib/modules/2.6.24-21-generic/madwifi (suponiendo que usas el
> kernel generic, claro)
>
> Es una forma poco elegante de eliminar el madwifi del kernel nuevo. Y por
> si las dudas agregalo en el blacklist:
>
> sudo nano etc/modprobe.d/blacklist
>
> y agregá un alinea que diga
>
> blacklist ath_pci
>
> El resto de las instrucciones quedan igual. Con eso debería andar.
>
> Saludos
>
> __________________________________________________
> Correo Yahoo!
> Espacio para todos tus mensajes, antivirus y antispam ¡gratis!
> ¡Abrí tu cuenta ya! - http://correo.yahoo.com.ar
>
> --
> Ubuntu-ar lista de correo
> Ubuntu-ar en lists.ubuntu.com
> Modifica tus opciones o desuscribite en:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-ar
> Siempre leer, comprender y aplicar nuestra etiqueta:
> https://wiki.ubuntu.com/ArgentinaTeam/EtiquetaML
>
>
>


-- 
leonardofgarcia en gmail.com
------------ próxima parte ------------
Se ha borrado un adjunto en formato HTML...
URL: https://lists.ubuntu.com/archives/ubuntu-ar/attachments/20081018/740815e8/attachment.htm 


More information about the Ubuntu-ar mailing list